.tch-embed-card {
  display: flex;
  flex-direction: row-reverse;
  border: 1px solid #ddd;
  border-radius: 8px;
  text-decoration: none;
  color: inherit;
  transition: box-shadow 0.3s ease;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  gap: 0px;
  margin: 16px 4px;
}

.tch-embed-card p {
  display: none;
}

.tch-embed-card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.tch-embed-card a {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  color: inherit;
}

.tch-embed-card a h3 {
  font-size: 18px;
  line-height: 24px;
  color: #212121;
  font-weight: bold;
  margin: 0;
  padding: 0;
}

.tch-embed-card .embed-title {
  padding: 16px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  width: 50%;
  flex-grow: 1;
  flex-shrink: 0;
  flex-basis: 50%;
}

@media (min-width: 768px) {
  .tch-embed-card a.embed-image {
    width: 70%;
    flex-basis: 70%;
  }
}

.tch-embed-card .embed-title .embed-category {
  font-size: 12px;
  border: 1px solid #142a51;
  color: #142a51;
  margin-top: 8px;
  padding: 2px 6px;
  border-radius: 4px;
  text-transform: uppercase;
  transform: rotate(-3deg);
}

.tch-embed-card a.embed-image {
  width: 50%;
  height: auto;
  object-fit: cover;
  background-color: #eee;
  background-size: cover;
  background-position: center;
  aspect-ratio: 16/9;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  position: relative;
  flex-basis: 50%;
  flex-shrink: 0;
}

@media (min-width: 768px) {
  .tch-embed-card a.embed-image {
    width: 30%;
    flex-basis: 30%;
  }
}

.tch-embed-card a.embed-image .embed-arrow {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  position: absolute;
  bottom: 8px;
  right: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.tch-embed-card a.embed-image .embed-arrow i {
  font-size: 30px;
}
